CorebanqCorebanq Developer Docs
Accountsv3

Get unified accounts balance (grouped) - V3

Handler: GetAccountsBalanceV3Handler -> GetUnifiedAccountsBalanceV3. Returns BalanceResponseV3 grouped into total/fiat/crypto with posted/available/pending MoneyAmount values.

GET
/v3/accounts/balance

Query Parameters

customer_id*string
currency*string
search.is_crypto?boolean
search.currency?string
search.active?boolean
search.status?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v3/accounts/balance?customer_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&currency=str"
{
  "total": {
    "posted": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    },
    "available": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    },
    "pending": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    }
  },
  "fiat": {
    "posted": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    },
    "available": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    },
    "pending": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    }
  },
  "crypto": {
    "posted": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    },
    "available": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    },
    "pending": {
      "amount": "123456",
      "currency": "EUR",
      "precision": 2
    }
  }
}
{
  "status": 400,
  "message": "string",
  "code": "transfers_m.account_not_found",
  "class": "validation",
  "retryable": false,
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ]
}
{
  "status": 400,
  "message": "string",
  "code": "transfers_m.account_not_found",
  "class": "validation",
  "retryable": false,
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ]
}